oci_fetch_object
oci_fetch
OCI8 Functions
PHP Manual

# oci_fetch_row

(PHP 5, PECL OCI8 >= 1.1.0)

oci_fetch_row — Returns the next row from a query as a numeric array

### Description

array oci_fetch_row ( resource `$statement` )

Returns a numerically indexed array containing the next result-set row of a query. Each array entry corresponds to a column of the row. This function is typically called in a loop until it returns `FALSE`, indicating no more rows exist.

Calling oci_fetch_row() is identical to calling oci_fetch_array() with `OCI_NUM` + `OCI_RETURN_NULLS`.

### Parameters

`statement`

  A valid OCI8 statement identifier created by oci_parse() and executed by oci_execute(), or a REF CURSOR statement identifier.

### Return Values

Returns a numerically indexed array. If there are no more rows in the `statement` then `FALSE` is returned.

### Examples

Example #1 oci_fetch_row() Example

`<?php
$conn = oci_connect('hr', 'welcome', 'localhost/XE');
if (!$conn) {
$e = oci_error();
trigger_error(htmlentities($e['message'], ENT_QUOTES), E_USER_ERROR);
}
$stid = oci_parse($conn, 'SELECT department_id, department_name FROM departments');
oci_execute($stid);
while (($row = oci_fetch_row($stid)) != false) {
echo $row[0] . " " . $row[1] . "<br>\n";
}
oci_free_statement($stid);
oci_close($conn);
?>`

### Notes

> Note:

> See oci_fetch_array() for more examples of fetching rows.

### See Also

- oci_fetch() - Fetches the next row from a query into internal buffers
- oci_fetch_all() - Fetches multiple rows from a query into a two-dimensional array
- oci_fetch_array() - Returns the next row from a query as an associative or numeric array
- oci_fetch_assoc() - Returns the next row from a query as an associative array
- oci_fetch_object() - Returns the next row from a query as an object

oci_fetch_object
oci_fetch
OCI8 Functions
PHP Manual